package W02H04_WrappingAndSwapping;

public class AWrongPoint { // Con constantes y multiples constructores
    // There is nothing wrong about this Point! X-D

    private double x;   // No los hago final a proposito
    private double y;
    public static final AWrongPoint POINT_ZERO = new AWrongPoint(0, 0);

    public AWrongPoint(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public AWrongPoint() {
        this(0,0); // Esto si funcionaria
    }

    public double getX() {
        return this.x;
    }

    public double getY() {
        return this.y;
    }

    public void setX(double x) {
        this.x = x;
    }

    public void setY(double y) {
        this.y = y;
    }

    @Override
    public String toString() {
        return "(" + this.x + "," + this.y + ")";
    }
}
